Bug 1716328 (CVE-2018-7191) - CVE-2018-7191 kernel: denial of service via ioctl call in network tun handling
Summary: CVE-2018-7191 kernel: denial of service via ioctl call in network tun handling
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-7191
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1723644 1723645 1723646 1828277 1828278 1838778 1838779
Blocks: 1716331
TreeView+ depends on / blocked
 
Reported: 2019-06-03 08:56 UTC by Dhananjay Arunesh
Modified: 2020-07-07 09:51 UTC (History)
44 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the Linux kernel's implementation of networking tunnel device ioctl. A local attacker can cause a denial of service (NULL pointer dereference and panic) via an ioctl (TUNSETIFF) call with a dev name containing a / character.
Clone Of:
Environment:
Last Closed: 2020-03-31 22:34:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:1016 None None None 2020-03-31 19:11:41 UTC
Red Hat Product Errata RHSA-2020:1070 None None None 2020-03-31 19:20:50 UTC
Red Hat Product Errata RHSA-2020:2522 None None None 2020-06-11 02:10:07 UTC
Red Hat Product Errata RHSA-2020:2851 None None None 2020-07-07 09:51:52 UTC

Description Dhananjay Arunesh 2019-06-03 08:56:27 UTC
In the tun subsystem in the Linux kernel, a local attacker could issue an ioctl to call dev_get_valid_name which is not called before register_netdevice. This allows local users to cause a denial of service (NULL pointer dereference and panic) via an ioctl(TUNSETIFF) call with a dev name containing a / character.

Reference:
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1743792
https://cdn.kernel.org/pub/linux/kernel/v4.x/ChangeLog-4.13.14

Commits:
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=0ad646c81b2182f7fa67ec0c8c825e0ee165696d
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=5c25f65fd1e42685f7ccd80e0621829c105785d9

Comment 1 Dhananjay Arunesh 2019-06-03 09:07:05 UTC
Note: I have also filed affect for rhel-8 as "new", just to double check and confirm weather rhel-8 is affected or not.

Comment 7 errata-xmlrpc 2020-03-31 19:11:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1016 https://access.redhat.com/errata/RHSA-2020:1016

Comment 8 errata-xmlrpc 2020-03-31 19:20:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:1070 https://access.redhat.com/errata/RHSA-2020:1070

Comment 9 Product Security DevOps Team 2020-03-31 22:34:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-7191

Comment 14 errata-xmlrpc 2020-06-11 02:10:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.7 Extended Update Support

Via RHSA-2020:2522 https://access.redhat.com/errata/RHSA-2020:2522

Comment 16 errata-xmlrpc 2020-07-07 09:51:47 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.6 Extended Update Support

Via RHSA-2020:2851 https://access.redhat.com/errata/RHSA-2020:2851


Note You need to log in before you can comment on or make changes to this bug.